Piksel
GET https://tistos.com/api/pixels/
curl --request GET \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Sətir | Axtarış stringi. |
| search_by | İstəyə bağlı Sətir | Axtardığınız sahə hansıdır. İcazə verilən dəyərlər: name, pixel. |
| type | İstəyə bağlı Sətir | İcazə verilən dəyərlər: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | İstəyə bağlı Sətir | İcazə verilən dəyərlər: datetime, last_datetime |
| datetime_start | İstəyə bağlı Sətir | Nəticələri bu tarix və saatdan başlayaraq filtrləyin. Y-m-d H:i:s formatı. |
| datetime_end | İstəyə bağlı Sətir | Nəticələri bu tarix və saata qədər filtrləyin. Y-m-d H:i:s formatı. |
| order_by | İstəyə bağlı Sətir | Nəticələri hansı sahəyə görə sıralamaq olar. İcazə verilən dəyərlər: pixel_id, datetime, last_datetime, name. |
| order_type | İstəyə bağlı Sətir | Nəticələrin sıralanması. İcazə verilən dəyərlər: ASC artan sıralama üçün, DESC isə azalan sıralama üçün. |
| page | İstəyə bağlı Tam ədəd | Nəticələri istədiyiniz səhifə nömrəsi. Varsayılan 1-dir. |
| results_per_page | İstəyə bağlı Tam ədəd | Səhifədə neçə nəticə istədiyinizi seçin. İcazə verilən dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olaraq 25 dir. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 15:13:10",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/pixels?page=1",
"last": "https://tistos.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/pixels?page=1"
}
}
GET https://tistos.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 15:13:10",
}
}
POST https://tistos.com/api/pixels
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| type | Tələb olunur Sətir | İcazə verilən dəyərlər: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Tələb olunur Sətir | - |
| pixel | Tələb olunur Sətir | - |
curl --request POST \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/pixels/{pixel_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| type | İstəyə bağlı Sətir | İcazə verilən dəyərlər: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | İstəyə bağlı Sətir | - |
| pixel | İstəyə bağlı Sətir | - |
curl --request POST \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \